Skip to main content
GET
/
2
/
pm
/
market
/
spread-history
Bid/ask spread history
curl --request GET \
  --url https://demo-api.mobula.io/api/2/pm/market/spread-history
{
  "data": [
    {
      "timestamp": 123,
      "bestBidUSD": 123,
      "bestAskUSD": 123,
      "spreadUSD": 123
    }
  ],
  "pagination": {
    "page": 123,
    "offset": 123,
    "limit": 123,
    "pageEntries": 123,
    "totalCount": 123,
    "hasMore": true,
    "nextCursor": "<string>"
  },
  "hostname": "<string>",
  "took": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.mobula.io/llms.txt

Use this file to discover all available pages before exploring further.

Alpha — This endpoint is part of the Prediction Markets API, currently in early access. May change without notice.

Query Parameters

platform
string
required
The prediction market platform (e.g., polymarket).
outcomeId
string
required
The outcome token ID.
period
string
default:"5m"
Sampling period. Possible values: 1m, 5m, 15m, 1h, 4h, 1d.
limit
number
default:"100"
Maximum number of data points to return (1 to 500).
offset
number
default:"0"
Number of records to skip for pagination.

Response

data
array
Array of orderbook depth snapshots.
pagination
object
Pagination metadata.
hostname
string
Server hostname that handled the request.
took
number
Time in milliseconds the request took to process.

Usage Example

curl -X GET "https://api.mobula.io/api/2/pm/market/spread-history?platform=polymarket&outcomeId=71321...&period=1h&limit=50"

Example Response

{
  "data": [
    { "timestamp": 1709910000000, "bestBidUSD": 0.34, "bestAskUSD": 0.36, "spreadUSD": 0.02 },
    { "timestamp": 1709913600000, "bestBidUSD": 0.35, "bestAskUSD": 0.37, "spreadUSD": 0.02 }
  ],
  "pagination": { "page": 1, "offset": 0, "limit": 100, "pageEntries": 2 },
  "hostname": "pm-api-prod-eu-abc12",
  "took": 42
}

Query Parameters

platform
string
required
Minimum string length: 1
outcomeId
string
required
Minimum string length: 1
period
enum<string>
default:5m
Available options:
1m,
5m,
15m,
1h,
4h,
1d
limit
number
default:100
Required range: 1 <= x <= 500
offset
number | null
default:0
Required range: x >= 0

Response

200 - application/json

Prediction Markets response

data
object[]
required
pagination
object
required
hostname
string
required
took
number
required